package com.xzzn.ems.domain.vo;

import java.util.ArrayList;
import java.util.List;

/**
 * 告警保护方案-保护前提分组
 */
public class ProtectionSettingsGroupVo {
    /** 故障保护前提 */
    private List<ProtectionSettingVo> faultSettings;

    /** 释放保护前提 */
    private List<ProtectionSettingVo> releaseSettings;

    public static ProtectionSettingsGroupVo empty() {
        ProtectionSettingsGroupVo vo = new ProtectionSettingsGroupVo();
        vo.setFaultSettings(new ArrayList<>());
        vo.setReleaseSettings(new ArrayList<>());
        return vo;
    }

    public List<ProtectionSettingVo> getFaultSettings() {
        return faultSettings;
    }

    public void setFaultSettings(List<ProtectionSettingVo> faultSettings) {
        this.faultSettings = faultSettings;
    }

    public List<ProtectionSettingVo> getReleaseSettings() {
        return releaseSettings;
    }

    public void setReleaseSettings(List<ProtectionSettingVo> releaseSettings) {
        this.releaseSettings = releaseSettings;
    }
}
